Description

Good afternoon,

I am currently looking at W14 data and am interested in creating a dummy variable for whether a respondent has been in

employment for 2+ years or fewer than 2 years in their current job. I was considering using Jbbgdat variables to obtain the start date

of employment and then using the intdat variables to obtain the exact interview date (as I'm only interested in adults). I understand

that intdat variables represent the date of submission of an interview, as istrtdat variables represent the date of start of interview.

My question is:

I understand that a respondent could have completed various sections of the survey/interview over a relatively long period of time,

which would make the method outlined above an approximation of tenure. For instance, Jbbgdat fields could have been completed

one month before actual completion of survey or one month after the interview was started. In light of this, do you have any

suggestions for a more accurate way of measuring tenure?

Please do correct me, if I was mistaken in my understanding of the relevant variables.

Many thanks,

Andrei

History

#1 - 12/13/2024 04:06 PM - Andrei Savitski

Just to follow up, the reason why the date of completion of the Jbbgdat question(s) is important is because I am interested in then looking at

self-reported employment conditions by length of tenure. "2 years" is a particularly important cutoff in UK employment law, because employees with

2+ years' tenure have additional rights, notably protection from unfair dismissal.

#2 - 12/13/2024 08:52 PM - Understanding Society  User Support Team

- Category changed from Data analysis to Data documentation

- Status changed from New to Feedback

- % Done changed from 0 to 50

- Private changed from Yes to No

Hello Andrei,

Several efforts have been made to identify employment spells. I recommend reviewing the work by Liam Wright, which you can find at the following

link: https://www.understandingsociety.ac.uk/documentation/mainstage/syntax/user-deposited-syntax/working-life-histories/

I hope this information is helpful.

Best wishes,

Roberto Cavazos

Understanding Society User Support Team

#3 - 12/17/2024 10:55 AM - Andrei Savitski

Hi Roberto,

Thanks - that's helpful. Would you happen to be aware of analogous code for SPSS?

#4 - 12/17/2024 12:44 PM - Understanding Society  User Support Team

- % Done changed from 50 to 80
https://www.understandingsociety.ac.uk/documentation/mainstage/syntax/user-deposited-syntax/working-life-histories/


Hi Andrei,

I am afraid SPSS version is not available.

Best wishes,

Understanding Society User Support Team
